PHP Manual
Prev |  | Next

# ps_string_geometry

(PECL)

ps_string_geometry -- Gets geometry of a string

## Description

array ps_string_geometry ( resource psdoc, string text [, int fontid [, float size]] )

This function is similar to ps_stringwidth() but returns an array of dimensions.

## Return Values

An array of the dimensions of a string. The element 'width' contains the width of the string as returned by ps_stringwidth(). The element 'descender' contains the maximum descender and 'ascender' the maximum ascender of the string.

## See Also

ps_continue_text()
ps_stringwidth()

Prev | Home | Next
ps_show | Up | ps_stringwidth